{% load staticfiles i18n sekizai_tags %}
<!-- Main Sidebar -->
<aside class="main-sidebar col-12 col-md-3 col-lg-2 px-0">
    <div class="main-navbar">
        <nav class="navbar align-items-stretch navbar-light bg-white flex-md-nowrap border-bottom p-0">
            <a class="navbar-brand w-100 mr-0" href="{% url 'accountent:main' %}" style="line-height: 25px;">
                <div class="d-table m-auto">
                    <span class="d-inline ml-1">{% trans "accountent" %}</span>
                </div>
            </a>
            <a class="toggle-sidebar d-sm-inline d-md-none d-lg-none">
                <i class="fas fa-chevron-left"></i>
            </a>
        </nav>
    </div>
    <div class="nav-wrapper">
        <h6 class="main-sidebar__nav-title d-flex align-items-center justify-content-between">
            {% trans "Accounts" %}
            <div class="row align-items-center justify-content-end">
                <a href="{% url 'accountent:accounts_create' %}" class="btn btn-sm btn-default btn-pill d-flex justify-content-end align-items-center px-1">
                    <i class="fas fa-plus d-inline-block"></i> 
                    <span class="d-inline d-md-none d-lg-none d-xl-none">{% trans "New account" %}</span>
                </a>    
            </div>
        </h6>
        <ul class="nav nav--no-borders flex-column">
            <li class="nav-item" id="sidebar-item-accounts-list">
                <a class="nav-link" href="{% url 'accountent:accounts_list' %}">
                    <i class="fas fa-book"></i>
                    <span>{% trans "Books" %}</span>
                </a>
            </li>
            <li class="nav-item" id="sidebar-item-bank-list">
                <a class="nav-link" href="{% url 'accountent:bank_account_list' %}">
                    <i class="fas fa-piggy-bank"></i>
                    <span>{% trans "Bank" %}</span>
                </a>
            </li>
        </ul>
        <h6 class="main-sidebar__nav-title d-flex align-items-center justify-content-between">
            {% trans "Transactions" %}
            <div class="row align-items-center justify-content-end">
                <a href="{% url 'accountent:bank_import_create' %}" class="btn btn-sm btn-default btn-pill d-flex justify-content-end align-items-center px-1 mr-1">
                    <i class="fas fa-file-upload d-inline-block"></i>
                    <span class="d-inline d-md-none d-lg-none d-xl-none">{% trans "Import from bank account" %}</span>
                </a>
                <a href="{% url 'accountent:transactions_create_wizard' %}" class="btn btn-sm btn-default btn-pill d-flex justify-content-end align-items-center px-1">
                    <i class="fas fa-plus d-inline-block"></i> 
                    <span class="d-inline d-md-none d-lg-none d-xl-none">{% trans "New transaction" %}</span>
                </a>    
            </div>
        </h6>
        <ul class="nav nav--no-borders flex-column">
            <li class="nav-item" id="sidebar-item-transactions-journal">
                <a class="nav-link" href="{% url 'accountent:transactions_list' %}">
                    <i class="fas fa-book-open"></i>
                    <span>{% trans "Journal" %}</span>
                </a>
            </li>
        </ul>
        <h6 class="main-sidebar__nav-title d-flex align-items-center justify-content-between">
            {% trans "VAT" %}
            <div class="row align-items-center justify-content-end">
                <a href="{% url 'accountent:vat_code_list' %}" class="btn btn-sm btn-default btn-pill d-flex justify-content-end align-items-center px-1 mr-1">
                    <i class="fas fa-cog d-inline-block"></i>
                    <span class="d-inline d-md-none d-lg-none d-xl-none">{% trans "VAT Codes" %}</span>
                </a> 
                <!-- <a href="{# % url 'vat:new-statement' % #}" class="btn btn-sm btn-default btn-pill d-flex justify-content-end align-items-center px-1">
                    <i class="fas fa-plus d-inline-block"></i> 
                    <span class="d-inline d-md-none d-lg-none d-xl-none">{% trans "New VAT statement" %}</span>
                </a>  -->
            </div>
        </h6>
        <ul class="nav nav--no-borders flex-column">
            <li class="nav-item" id="sidebar-item-vat-statement-list">
                <a class="nav-link" href="{% url 'vat:statement-list' %}">
                    <i class="fas fa-file-signature"></i>
                    <span>{% trans "Statements" %}</span>
                </a>
            </li>
            <li class="nav-item" id="sidebar-item-vat-code-list">
                <a class="nav-link" href="{% url 'accountent:vat_code_list' %}">
                    <i class="fas fa-project-diagram"></i>
                    <span>{% trans "Codes" %}</span>
                </a>
            </li>
        </ul>
    </div>
</aside>
<!-- End Main Sidebar -->

{% addtoblock "js" %}
<script type="text/javascript">
    $(document).ready(function() {
        $('#sidebar-item-{{ active_id }}').addClass("active")
    });
</script>
{% endaddtoblock %}
